Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035918
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2017-05-02 17:122017-05-16 18:16
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision4c43e1ac2cc3
ProjectionnoneETAnoneTarget Version3.0PR17Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-01-15
Regression introduced in release3.0PR15Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/92d415cdc5cf0c2bd31363292d5da6d8e4e43b26 [^]
Triggers an Emergency PackNo
Summary

0035918: Wrong Trial Balance at "Account" level and without checking "Opening Entry Amount to Initial Balance"

DescriptionIn case regular accounting information exists for Opening Date and Trial Balance is run at "Account" level and without checking "Opening Entry Amount to Initial Balance", wrong information is shown
Steps To Reproduce0. Access To "End Year Close" window and verify that last year closed for "F&B España, S.A" organization is 2013
1. Run Trial Balance report from 01-01-2014 to 31-12-2014, "F&B España, S.A" organization, "F&B España, S.A US/A/Euro" general ledger, "Account" level, "Opening Entry Amount to Initial Balance" NOT checked and realize that no information for "130A" account appears
2. Create new GL Journal for "F&B España, S.A" organization, any description, Accounting Date=01-01-2014.
3. Add new Header for "F&B España, S.A. US/A/Euro" general ledger and Accounting date=01-01-2014.
4. Add new line for "10300 - Socios por desembolsos no exigidos; capital social" account, Debit=400
5. Add new line for "43000 - Clientes (euros) a corto plazo" account, Credit=400. Complete and post journal
6. Run Trial Balance using same filtering criteria and realize that now "103A" account appears but balance shown is 800 instead of 400

Moreover, if you change Account Level filtering criteria from Account to Sub-account you can see that proper balance of 400 is calculated for account "10300"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0035896 closedAtulOpenbravo Wrong Trial Balance at "Account" level and without checking "Opening Entry Amount to Initial Balance" 

-  Notes
(0096462)
AtulOpenbravo (developer)
2017-05-08 18:17

Test Plan

- Access To "End Year Close" window and verify that last year closed for "F&B España, S.A" organization is 2013.
- Run Trial Balance report from 01-01-2014 to 31-12-2014, "F&B España, S.A" organization, "F&B España, S.A US/A/Euro" general ledger, "Account" level, "Opening Entry Amount to Initial Balance" NOT checked and realize that no information for "130A" account appears.
- Create new GL Journal for "F&B España, S.A" organization, any description, Accounting Date=01-01-2014.
- Add new Header for "F&B España, S.A. US/A/Euro" general ledger and Accounting date=01-01-2014.
- Add new line for "10300 - Socios por desembolsos no exigidos; capital social" account, Debit=400.
- Add new line for "43000 - Clientes (euros) a corto plazo" account, Credit=400. Complete and post journal.
- Run Trial Balance using same filtering criteria and check that now "103A" account has balance as 400.

Test plan 28452

1- Login F&B International Group Admin.
2- Run Run Trial Balance Report.
3- Select dates from 01/01/2014 to 31/12/2014, organization and general ledger: España S.A
4- Display advanced filters and select account level as account and uncheck. "Opening Entry Amount to Initial Balance".
5- Click search button and check that balance obtained is 0.00
6- Register new Sales Invoice with date 01/01/2014, complete it and post it.
7- Run trial balance using same filters and check that obtained balance is 0.00.
(0096626)
hgbot (developer)
2017-05-16 18:15

Repository: erp/backports/3.0PR17Q2
Changeset: 4c43e1ac2cc35028f17cc54366b8c706d71ea656
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 15 00:24:10 2017 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR17Q2/rev/4c43e1ac2cc35028f17cc54366b8c706d71ea656 [^]

Fixes issue 35918: Wrong Trial Balance at "Account" level
and without checking "Opening Entry Amount to Initial Balance"

select is modified to get all account tree elements and their respective dr and cr in fact
acct other than fact acct type R (Income Statement), C (Closing) and
O (Opening) in between date from and date to filters. Select Initial Balance Method
is modified to just get the initial balance of the account tree element upto from date
filter or the opening type fact acct register on from date filter.

Using the Opening Entry Amount to Initial Balance flag and initial balance sign it is
decided to add to either dr or cr column respectively. +ve value added to debits and
-ve value added to credits.

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance_data.xsql
---
(0096629)
aferraz (developer)
2017-05-16 18:16

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2017-05-04 09:42 aferraz Type defect => backport
2017-05-04 09:42 aferraz Target Version => 3.0PR17Q2
2017-05-04 21:16 AtulOpenbravo Regression level => Production - Confirmed Stable
2017-05-04 21:16 AtulOpenbravo Regression date => 2015-01-15
2017-05-04 21:16 AtulOpenbravo Regression introduced in release => 3.0PR15Q2
2017-05-04 21:16 AtulOpenbravo Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/92d415cdc5cf0c2bd31363292d5da6d8e4e43b26 [^]
2017-05-08 18:17 AtulOpenbravo Note Added: 0096462
2017-05-16 18:15 hgbot Checkin
2017-05-16 18:15 hgbot Note Added: 0096626
2017-05-16 18:15 hgbot Status scheduled => resolved
2017-05-16 18:15 hgbot Resolution open => fixed
2017-05-16 18:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q2/rev/4c43e1ac2cc35028f17cc54366b8c706d71ea656 [^]
2017-05-16 18:16 aferraz Review Assigned To => aferraz
2017-05-16 18:16 aferraz Note Added: 0096629
2017-05-16 18:16 aferraz Status resolved => closed
2017-05-16 18:16 aferraz Fixed in Version => 3.0PR17Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker